// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_AGENTS_AGENTSTRUCTURE_H
#define DDICORE_40_PIM_CLASSES_AGENTS_AGENTSTRUCTURE_H

/************************************************************
 AgentStructure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Agents/Pkg_Agents.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/Classes/Identification/Identifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/AgentRelation.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Agents {

/************************************************************/
/**
 * Definition
 * ============
 * Defines the relationships between Agents in a collection. Clarifies valid period and the purpose the relationship serve
 * 
 * Examples
 * ==========
 * An individual employed by an Organization. A unit or project (organization) within another Organization.
 * 
 * Explanatory notes
 * ===================
 * Describes relations between agents not roles within a project or in relationship to a product. Roles are defined by the parent class and relationship name that uses an Agent as a target.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class AgentStructure: public ::DDICore_40_PIM::Classes::Identification::Identifiable {
public:

	/**
	 * The effective start and end date of the relationship
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::DateRange effectiveDates;

	/**
	 * Agent relations that comprise the relation structure
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::AgentRelation hasMemberRelation[];

	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list. Use if all relations within this relation structure are of the same specification.
	 */
	::DDICore_40_PIM::Classes::Enumerations::RelationSpecification hasRelationSpecification;

	/**
	 * Define the level of privacy regarding this relationship. Supports the use of a controlled vocabulary.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry privacy;

	/**
	 * Explanation of the intent of creating the relation. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

	/**
	 * Provides semantic context for the relation structure
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry semantic;

	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	::DDICore_40_PIM::Classes::Enumerations::TotalityType totality;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Agents
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of AgentStructure class header
 ************************************************************/

#endif
