// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_CATEGORYSET_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_CATEGORYSET_H

/************************************************************
 CategorySet class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Conceptual/CategoryRelationStructure.h"
#include "DDICore_40_PIM/Classes/Conceptual/ConceptSystem.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/CategoryIndicator.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * Concept System where the underlying Concepts are Categories and are used as specifications for a generalized concept
 * 
 * Examples
 * ==========
 * "Male" and "Female" categories in a CategorySet named "Gender"
 * 
 * A CategorySet for an occupational classification system like ISCO-08 could use a ClassificationRelationStructure to describe a hierarchy (Chief Executives and Administrative and Commercial Managers as subtypes of Managers) without an associated Code List.
 * 
 * Explanatory notes
 * ===================
 * Can be used directly by questions to express a set of categories for a response domain or as the related source for a CodeList or StatisticalClassification
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class CategorySet: public ConceptSystem {
public:

	/**
	 * MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::CategoryIndicator contains[];

	/**
	 * 
	 */
	CategoryRelationStructure [];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CategorySet class header
 ************************************************************/

#endif
