#ifndef PKG_DDICORE_40_PIM_CLASSES_ENUMERATIONS
#define PKG_DDICORE_40_PIM_CLASSES_ENUMERATIONS

/************************************************************
 Pkg_Enumerations package header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Pkg_Classes.h"

#ifndef _IN_
#define _IN_
#endif
#ifndef _OUT_
#define _OUT_
#endif
#ifndef _INOUT_
#define _INOUT_
#endif

/* Package dependency header include                        */

namespace DDICore_40_PIM {
namespace Classes {
namespace Enumerations {

// Types defined within the package

/**
 * 
 */
enum CategoryRelationCode {
	/**
	 * 
	 */
	Continuous,
	/**
	 * 
	 */
	Interval,
	/**
	 * 
	 */
	Nominal,
	/**
	 * 
	 */
	Ordinal,
	/**
	 * 
	 */
	Ratio
};

/**
 * 
 */
enum CollectionType {
	/**
	 * 
	 */
	Bag,
	/**
	 * 
	 */
	Set
};

/**
 * 
 */
enum ComputationBaseList {
	/**
	 * 
	 */
	MissingOnly,
	/**
	 * 
	 */
	Total,
	/**
	 * 
	 */
	ValidOnly
};

/**
 * 
 */
enum MappingRelation {
	/**
	 * 
	 */
	CloseMatch,
	/**
	 * 
	 */
	Disjoint,
	/**
	 * 
	 */
	ExactMatch
};

/**
 * 
 */
enum PointFormat {
	/**
	 * 
	 */
	DecimalDegree,
	/**
	 * 
	 */
	DecimalMinutes,
	/**
	 * 
	 */
	DegreesMinutesSeconds,
	/**
	 * 
	 */
	Feet,
	/**
	 * 
	 */
	Meters
};

/**
 * 
 */
enum RelationSpecification {
	/**
	 * 
	 */
	AcyclicPrecedence,
	/**
	 * 
	 */
	Equivalence,
	/**
	 * 
	 */
	GeneralSpecific,
	/**
	 * 
	 */
	List,
	/**
	 * 
	 */
	ParentChild,
	/**
	 * 
	 */
	Unordered,
	/**
	 * 
	 */
	WholePart
};

/**
 * 
 */
enum SexSpecificationType {
	/**
	 * 
	 */
	Feminine,
	/**
	 * 
	 */
	GenderNeutral,
	/**
	 * 
	 */
	Masculine
};

/**
 * 
 */
enum ShapeCoded {
	/**
	 * 
	 */
	Circle,
	/**
	 * 
	 */
	LinearRing,
	/**
	 * 
	 */
	Polygon,
	/**
	 * 
	 */
	Rectangle
};

/**
 * 
 */
enum SpatialObjectPairs {
	/**
	 * 
	 */
	AreaToArea,
	/**
	 * 
	 */
	LineToArea,
	/**
	 * 
	 */
	LineToLine,
	/**
	 * 
	 */
	PointToArea,
	/**
	 * 
	 */
	PointToLine,
	/**
	 * 
	 */
	PointToPoint
};

/**
 * 
 */
enum SpatialObjectType {
	/**
	 * 
	 */
	Line,
	/**
	 * 
	 */
	LinearRing,
	/**
	 * 
	 */
	Point,
	/**
	 * 
	 */
	Polygon,
	/**
	 * 
	 */
	Raster
};

/**
 * 
 */
enum SpatialRelationSpecification {
	/**
	 * 
	 */
	Contains,
	/**
	 * 
	 */
	Disjoint,
	/**
	 * 
	 */
	Equals,
	/**
	 * 
	 */
	Intersects,
	/**
	 * 
	 */
	Touches
};

/**
 * 
 */
enum StringStructureType {
	/**
	 * 
	 */
	Other,
	/**
	 * 
	 */
	RST,
	/**
	 * 
	 */
	XHTML
};

/**
 * 
 */
enum TableDirectionValues {
	/**
	 * 
	 */
	Auto,
	/**
	 * 
	 */
	Ltr,
	/**
	 * 
	 */
	Rtl
};

/**
 * 
 */
enum TemporalRelationSpecification {
	/**
	 * 
	 */
	TemporalContains,
	/**
	 * 
	 */
	TemporalEquals,
	/**
	 * 
	 */
	TemporalFinishes,
	/**
	 * 
	 */
	TemporalMeets,
	/**
	 * 
	 */
	TemporalOverlaps,
	/**
	 * 
	 */
	TemporalPrecedes,
	/**
	 * 
	 */
	TemporalStarts
};

/**
 * 
 */
enum TextDirectionValues {
	/**
	 * 
	 */
	Auto,
	/**
	 * 
	 */
	Inherit,
	/**
	 * 
	 */
	Ltr,
	/**
	 * 
	 */
	Rtl
};

/**
 * 
 */
enum TotalityType {
	/**
	 * 
	 */
	Partial,
	/**
	 * 
	 */
	Total,
	/**
	 * 
	 */
	Unknown
};

/**
 * 
 */
enum TrimValues {
	/**
	 * 
	 */
	Both,
	/**
	 * 
	 */
	End,
	/**
	 * 
	 */
	Neither,
	/**
	 * 
	 */
	Start
};

/**
 * 
 */
enum ValueRelationshipType {
	/**
	 * 
	 */
	Equal,
	/**
	 * 
	 */
	GreaterThan,
	/**
	 * 
	 */
	GreaterThanOrEqualTo,
	/**
	 * 
	 */
	LessThan,
	/**
	 * 
	 */
	LessThanOrEqualTo,
	/**
	 * 
	 */
	NotEqual
};

/**
 * 
 */
enum WhiteSpaceRule {
	/**
	 * 
	 */
	Collapse,
	/**
	 * 
	 */
	Preserve,
	/**
	 * 
	 */
	Replace
};
} // of namespace Enumerations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Pkg_Enumerations package header
 ************************************************************/

#endif
