// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_LOGICALDATADESCRIPTION_DATAPOINT_H
#define DDICORE_40_PIM_CLASSES_LOGICALDATADESCRIPTION_DATAPOINT_H

/************************************************************
 DataPoint class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/LogicalDataDescription/Pkg_LogicalDataDescription.h"

#include "DDICore_40_PIM/Classes/Conceptual/InstanceVariable.h"
#include "DDICore_40_PIM/Classes/DataStructures/Components/DataStructureComponent.h"
#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/DimensionalDataSet.h"
#include "DDICore_40_PIM/Classes/DataStructures/KeyValue/KeyValueDataStore.h"
#include "DDICore_40_PIM/Classes/DataStructures/Long/LongDataSet.h"
#include "DDICore_40_PIM/Classes/DataStructures/Wide/WideDataSet.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace LogicalDataDescription {

/************************************************************/
/**
 * Definition
 * ============
 * A DataPoint is a container for a Datum.
 * 
 * Examples
 * ==========
 * A cell in a spreadsheet table. Note that this could be empty. It exists independently of the value to be stored in it.
 * 
 * Explanatory notes
 * ===================
 * The DataPoint is structural and distinct from the value (the Datum) that it holds. [GSIM 1.1]
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Data Point
 */
class DataPoint: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Wide::WideDataSet;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Long::LongDataSet;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::KeyValue::KeyValueDataStore;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::InstanceVariable;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Components::DataStructureComponent [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Dimensional::DimensionalDataSet;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace LogicalDataDescription
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of DataPoint class header
 ************************************************************/

#endif
