// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_LOGICALDATADESCRIPTION_DATASTORE_H
#define DDICORE_40_PIM_CLASSES_LOGICALDATADESCRIPTION_DATASTORE_H

/************************************************************
 DataStore class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/LogicalDataDescription/Pkg_LogicalDataDescription.h"

#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/Classes/LogicalDataDescription/LogicalRecordRelationStructure.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LogicalRecordIndicator.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace LogicalDataDescription {
class RecordRelation;
}
}
}

namespace DDICore_40_PIM {
namespace Classes {
namespace LogicalDataDescription {

/************************************************************/
/**
 * Definition
 * ============
 * A DataStore is either a SimpleCollection or a StructuredCollection of LogicalRecords, keeping in mind that a LogicalRecords is a definition, not a "datasets".
 * 
 * LogicalRecords organized in a StructuredCollection is called a LogicalRecordRelationStructure.
 * 
 * Instances of LogicalRecords instantiated as organizations of DataPoints hosting data are described in FormatDescription.
 * 
 * A DataStore is reusable across studies. Each Study has at most one DataStore.
 * 
 * 
 * Examples
 * ==========
 * The data lineage of an individual BusinessProcess or an entire DataPipeline are both examples of  a LogicalRecordRelationStructures. In a data lineage we can observe how LogicalRecords are connected within a BusinessProcess or across BusinessProcesses.
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * Schema repository, data network
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Data Set
 */
class DataStore: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * General information about missing data, e.g., that missing data have been standardized across the collection, missing data are present because of merging, etc.-  corresponds to DDI2.5 dataMsng.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString aboutMissing;

	/**
	 * Default character set used in the Data Store.
	 */
	::PrimitiveTypes::String characterSet;

	/**
	 * Data in the form of Data Records contained in the Data Store. Allows for the identification of the member and optionally provides an index for the member within an ordered array
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::LogicalRecordIndicator contains[];

	/**
	 * The type of DataStore. Could be delimited file, fixed record length file, relational database, etc. Points to an external definition which can be part of a controlled vocabulary maintained by the DDI Alliance.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry dataStoreType;

	/**
	 * If members are ordered set to true, if unordered set to false.
	 */
	::PrimitiveTypes::Boolean isOrdered;

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

	/**
	 * 
	 */
	RecordRelation*;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::Concept [];

	/**
	 * 
	 */
	LogicalRecordRelationStructure [];

	/**
	 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

	/**
	 * The number of records in the Data Store.
	 */
	::PrimitiveTypes::Integer recordCount;

	/**
	 * Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.
	 */
	::DDICore_40_PIM::Classes::Enumerations::CollectionType type;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace LogicalDataDescription
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of DataStore class header
 ************************************************************/

#endif
