// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CLASSIFICATIONINDEXENTRY_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CLASSIFICATIONINDEXENTRY_H

/************************************************************
 ClassificationIndexEntry class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/CommandCode.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalString.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * word or a short text (e.g. the name of a locality, an economic activity or an occupational title) describing a type of object/unit or object property to which a Classification Item applies, together with the code of the corresponding Classification Item
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * Each Classification Index Entry typically refers to one item of the Statistical Classification. Although a Classification Index Entry may be associated with a Classification Item at any Level of a Statistical Classification, Classification Index Entries are normally associated with items at the lowest Level.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Classification Index Entry
 */
class ClassificationIndexEntry: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * Additional information which drives the coding process. Required when coding is dependent upon one or many other factors.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::CommandCode codingInstruction;

	/**
	 * Text describing the type of object/unit or object property.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalString entry;

	/**
	 * Date from which the Classification Index Entry became valid (startDate). The date must be defined if the Classification Index Entry belongs to a floating Classification Index. Date at which the Classification Index Entry became invalid (endDate). The date must be defined if the Classification Index Entry belongs to a floating Classification Index and is no longer valid.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::DateRange validDates;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ClassificationIndexEntry class header
 ************************************************************/

#endif
