// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_VALUEDOMAIN_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_VALUEDOMAIN_H

/************************************************************
 ValueDomain class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LabelForDisplay.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * set of permissible values for a variable [
 * adapted from ISO/IEC 11179]
 * 
 * Examples
 * ==========
 * Age categories with a numeric code list; Age in years; Young, Middle-aged and Old
 * 
 * Explanatory notes
 * ===================
 * The values can be described by enumeration or by an expression. Value domains can be either substantive/sentinel, or described/enumeration
 * 
 * Synonyms
 * ==========
 * BUT NOT Grid/Numeric/Code/*_ResponseDomain [DDI-L/Questions] - this is "ResponseDomain"
 * 
 * DDI 3.2 mapping
 * =================
 * r:RepresentationType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Value Domain
 */
class ValueDomain: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * A display label for the object. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::LabelForDisplay displayLabel[];

	/**
	 * The data types that are recommended for use with this domain
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry recommendedDataType[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ValueDomain class header
 ************************************************************/

#endif
