// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_BUSINESSPROCESSCONDITION_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_BUSINESSPROCESSCONDITION_H

/************************************************************
 BusinessProcessCondition class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/LogicalDataDescription/LogicalRecord.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/CommandCode.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A BusinessProcess precondition or post condition which describes the condition which must be met to begin (pre) or exit (post) a process. It may use a specified LogicalRecord. The Logical Record has SQL that describes it, rejectionCriteria against which its adequacy may be tested and an optional annotation that describes its provenance.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class BusinessProcessCondition {
public:

	/**
	 * Provides an alternative to or supplements the SQL data description.
	 */
	InternationalStructuredString dataDescription[];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::LogicalDataDescription::LogicalRecord;

	/**
	 * Criteria for failing an input dataset
	 */
	CommandCode rejectionCriteria;

	/**
	 * SQL SELECT statement that describes the selection of the LogicalRecord from the Dataset
	 */
	::PrimitiveTypes::String sql;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of BusinessProcessCondition class header
 ************************************************************/

#endif
