// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_IMAGE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_IMAGE_H

/************************************************************
 Image class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/XMLSchemaDatatypes/Pkg_XMLSchemaDatatypes.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A reference to an image, with a description of its properties and type.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:ImageType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Image {
public:

	/**
	 * Provides the resolution of the image in dots per inch to assist in selecting the appropriate image for various uses.
	 */
	::PrimitiveTypes::Integer dpi;

	/**
	 * Language of image. Supports the indication of multiple languages. Supports use of codes defined by the RFC 1766.
	 */
	language languageOfImage[];

	/**
	 * Brief description of the image type. Supports the use of an external controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry typeOfImage;

	/**
	 * A reference to the location of the image using a URI.
	 */
	anyURI uri;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Image class header
 ************************************************************/

#endif
